package com.maxiq.j2ee.jboss.deployers;

import org.jboss.deployers.spi.DeploymentException;
import org.jboss.deployers.vfs.spi.deployer.AbstractVFSParsingDeployer;
import org.jboss.deployers.vfs.spi.structure.VFSDeploymentUnit;
import org.jboss.virtual.VirtualFile;

/**
 * Search for web-service.xml in .wsr deployment unit 
 * and create the AxisMetaData that will be use AxisRealDeployer
 */
public class AxisParsingDeployer extends AbstractVFSParsingDeployer<AxisMetaData> {

   public static final String WSR_SUFIX = ".wsr";
   
   public AxisParsingDeployer() {
      super(AxisMetaData.class);
      setSuffix("web-service.xml");
      setAllowMultipleFiles(false);
   }

   protected AxisMetaData parse(VFSDeploymentUnit unit, VirtualFile file, AxisMetaData metaData) throws Exception {
      return new AxisMetaData(file.toURL());
   }
   
   @Override
   protected boolean accepts(VFSDeploymentUnit unit) throws DeploymentException {
      return unit != null && unit.getName() != null && 
         (unit.getName().endsWith(WSR_SUFIX) || unit.getName().endsWith(WSR_SUFIX + "/"));
   }
   
}
